Bug 847011 - "--external-db" flag is missing in ./install.pl --help
"--external-db" flag is missing in ./install.pl --help
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
550
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Milan Zázrivec
Ondrej Cienciala
:
Depends On:
Blocks: sat550-lowbug
  Show dependency treegraph
 
Reported: 2012-08-09 08:53 EDT by Ondrej Cienciala
Modified: 2014-06-18 03:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-setup-1.7.9-18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:33:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Cienciala 2012-08-09 08:53:45 EDT
Description of problem:
"--external-db" flag is not documented in ./install.pl --help

Version-Release number of selected component (if applicable):
Satellite-5.5.0-RHEL6-re20120731.0

How reproducible:
always

Steps to Reproduce:
1. mount Satellite ISO
2. cd into mounted directory
3. ./install --help
  
Actual results:
"--external-db" flag is not mentioned

Expected results:
"--external-db" flag is documented

Additional info:
Note that there are other valid flags (according to install/lib/Spacewalk/Setup.pm) which are not mentioned in ./install --help:
--skip-python-test
--skip-updates-install
--skip-logfile-init
--db-only
Comment 1 Milan Zázrivec 2012-08-09 10:34:49 EDT
spacewalk.git master: 7dbfe018ee6241207328964a34f690dd184bf9ac
Comment 5 Clifford Perry 2012-09-21 05:33:13 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.